write-host "Please wait..."
$ConfirmPreference="None"
$msextrn="MSExchangeTransport"
$taname="RRR2007"

$cf=Get-TransportAgent $taname
$resmsg=""
if ($cf -ne $null) 
{
  Uninstall-TransportAgent -Identity $taname
  $cf=Get-TransportAgent $taname
  if ($cf -ne $null) 
  {
    $resmsg="Transport agent '$taname' is not uninstalled by unknown reason."
  }
  else
  {
    $resmsg="Transport agent '$taname' is uninstalled successfully."
    Restart-Service $msextrn
  }
}
else
{
  $resmsg="Transport agent '$taname' not found."
}
Clear-Host
write-host $resmsg

# SIG # Begin signature block
# MIITlgYJKoZIhvcNAQcCoIIThzCCE4MCAQExCzAJBgUrDgMCGgUAMGkGCisGAQQB
# gjcCAQSgWzBZMDQGCisGAQQBgjcCAR4wJgIDAQAABBAfzDtgWUsITrck0sYpfvNR
# AgEAAgEAAgEAAgEAAgEAMCEwCQYFKw4DAhoFAAQUqVOx3yisY9GqNFU3EpMCbh5q
# uK+ggg4sMIIEZjCCA06gAwIBAgIQRL4Mi1AAJLQR0zYt4LNfGzANBgkqhkiG9w0B
# AQUFADCBlTELMAkGA1UEBhMCVVMxCzAJBgNVBAgTAlVUMRcwFQYDVQQHEw5TYWx0
# IExha2UgQ2l0eTEeMBwGA1UEChMVVGhlIFVTRVJUUlVTVCBOZXR3b3JrMSEwHwYD
# VQQLExhodHRwOi8vd3d3LnVzZXJ0cnVzdC5jb20xHTAbBgNVBAMTFFVUTi1VU0VS
# Rmlyc3QtT2JqZWN0MB4XDTk5MDcwOTE4MzEyMFoXDTE5MDcwOTE4NDAzNlowgZUx
# CzAJBgNVBAYTAlVTMQswCQYDVQQIEwJVVDEXMBUGA1UEBxMOU2FsdCBMYWtlIENp
# dHkxHjAcBgNVBAoTFVRoZSBVU0VSVFJVU1QgTmV0d29yazEhMB8GA1UECxMYaHR0
# cDovL3d3dy51c2VydHJ1c3QuY29tMR0wGwYDVQQDExRVVE4tVVNFUkZpcnN0LU9i
# amVjdDCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAM6qgT+jo2F4qjEA
# VZURnicPHxzfOpuCaDDASmEd8S8O+r5596Uj71VRloTN2+O5bj4x2AogZ8f02b+U
# 60cEPgLOKqJdhwQJ9jCdGIqXsqoc/EHSoTbL+z2RuufZcDX65OeQw5ujm9M89RKZ
# d7G3CeBo5hy485RjiGpq/gt2yb70IuRnuasaXnfBhQfdDWy/7gbHd2pBnqcP1/vu
# lBe3/IW+pKvEHDHd17bR5PDv3xaPslKT16HUiaEHLr/hARJCHhrh2JU022R5KP+6
# LhHC5ehbkkj7RwvCbNqtMoNB86XlQXD9ZZBt+vpRxPm9lisZBCzTbafc8H9vg2Xi
# aquHhnUCAwEAAaOBrzCBrDALBgNVHQ8EBAMCAcYwDwYDVR0TAQH/BAUwAwEB/zAd
# BgNVHQ4EFgQU2u1kdBScFDyr3ZmpvVsoTYs8ydgwQgYDVR0fBDswOTA3oDWgM4Yx
# aHR0cDovL2NybC51c2VydHJ1c3QuY29tL1VUTi1VU0VSRmlyc3QtT2JqZWN0LmNy
# bDApBgNVHSUEIjAgBggrBgEFBQcDAwYIKwYBBQUHAwgGCisGAQQBgjcKAwQwDQYJ
# KoZIhvcNAQEFBQADggEBAAgfUrE3RHjb/c652pWWmKpVZIC1WkDdIaXFwfNfLEzI
# R1pp6ujwNTX00CXzyKakh0q9G7FzCL3Uw8q2NbtZhncxzaeAFK4T7/yxSPlrJSUt
# UbYsbUXBmMiKVl0+7kNOPmsnjtA6S4ULX9Ptaqd1y9Fahy85dRNacrACgZ++8A+E
# VCBibGnU4U3GDZlDAQ0Slox4nb9QorFEqmrPF3rPbw/U+CRVX/A0FklmPlBGyWNx
# ODFiuGK581OtbLUrohKqGU8J2l7nk8aOFAj+8DCAGKCGhU3IfdeLA/5u1fedFqyS
# LKAj5ZyRUh+U3xeUc8OzwcFxBSAAeL0TUh2oPs0AH8gwggSTMIIDe6ADAgECAhBH
# io77WeHYPwzhQtKihwe+MA0GCSqGSIb3DQEBBQUAMIGVMQswCQYDVQQGEwJVUzEL
# MAkGA1UECBMCVVQxFzAVBgNVBAcTDlNhbHQgTGFrZSBDaXR5MR4wHAYDVQQKExVU
# aGUgVVNFUlRSVVNUIE5ldHdvcmsxITAfBgNVBAsTGGh0dHA6Ly93d3cudXNlcnRy
# dXN0LmNvbTEdMBsGA1UEAxMUVVROLVVTRVJGaXJzdC1PYmplY3QwHhcNMTAwNTEw
# MDAwMDAwWhcNMTUwNTEwMjM1OTU5WjB+MQswCQYDVQQGEwJHQjEbMBkGA1UECBMS
# R3JlYXRlciBNYW5jaGVzdGVyMRAwDgYDVQQHEwdTYWxmb3JkMRowGAYDVQQKExFD
# T01PRE8gQ0EgTGltaXRlZDEkMCIGA1UEAxMbQ09NT0RPIFRpbWUgU3RhbXBpbmcg
# U2lnbmVyMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAvDWgNnAigRHD
# soO50yjGNs0la6l7shz2m1Gc7zX07QiOXjgI+Hc8CkLg83Dco9fK9UwLz/8inAp+
# aNYJoiqEe6adtKnBM+LvHxdIyjrNRubFqne943ea+kdTQChZQ5PxpIHq74C1T6cI
# zrpuvMp2DJdkWYYkuz2CkKhVsZLToKcFrJ9TJQgQR5nNmN5o5bRQeKOvAcxZQ1jk
# dm5+rMfinh9PsEctyAyjSSeAdYy7BpFlD5Cb9LrRgchcauwU6SUJvyMW9JVGQEAh
# u4OW/YYfesgNEI6i+BkHWH+fvTcCYPKk6Z1EPzAF5KdwmVGa6BfxVcqyYYllRqdq
# 8lhGfqqgBwIDAQABo4H0MIHxMB8GA1UdIwQYMBaAFNrtZHQUnBQ8q92Zqb1bKE2L
# PMnYMB0GA1UdDgQWBBQuLbAKRErTh8ACB86XfVBiIP0PgzAOBgNVHQ8BAf8EBAMC
# BsAwDAYDVR0TAQH/BAIwADAWBgNVHSUBAf8EDDAKBggrBgEFBQcDCDBCBgNVHR8E
# OzA5MDegNaAzhjFodHRwOi8vY3JsLnVzZXJ0cnVzdC5jb20vVVROLVVTRVJGaXJz
# dC1PYmplY3QuY3JsMDUGCCsGAQUFBwEBBCkwJzAlBggrBgEFBQcwAYYZaHR0cDov
# L29jc3AudXNlcnRydXN0LmNvbTANBgkqhkiG9w0BAQUFAAOCAQEAyPtj+At1dSw6
# 8fITpy22oxqcrQEH0zSOd+DCbq4CXUhPpNIhtjb9KjVDfGvfgIcLFfB2MgC0zrVn
# pC8vIBucVJ6DPx9fFJVigg8iQSIfcLPz90LebFHNS/ghrJs7jLHl5iiPziqK+apS
# TYxbd7pNWljbu2oEzFIeneIoNw675w6Rx/jb8YGY6803sw6rZdNi7DqldusTqDWT
# yS4KAezA6Mw9frbr4sHs0xSSgmaHUNz9UJess0p2cwbEhhE6s19DBFJv6rPQdDZM
# yvEbeYQ3cGOtdLmqDvOYsIYI69vgH4wQ8jlkm65PCiySik8YtZHljRqTXx+u8abw
# LpfQ0vYrPDCCBScwggQPoAMCAQICEQDhSX5y15DyrWmHcfWPMccVMA0GCSqGSIb3
# DQEBBQUAMIGVMQswCQYDVQQGEwJVUzELMAkGA1UECBMCVVQxFzAVBgNVBAcTDlNh
# bHQgTGFrZSBDaXR5MR4wHAYDVQQKExVUaGUgVVNFUlRSVVNUIE5ldHdvcmsxITAf
# BgNVBAsTGGh0dHA6Ly93d3cudXNlcnRydXN0LmNvbTEdMBsGA1UEAxMUVVROLVVT
# RVJGaXJzdC1PYmplY3QwHhcNMTAwNjAzMDAwMDAwWhcNMTMwNjAyMjM1OTU5WjCB
# mjELMAkGA1UEBhMCUlUxDzANBgNVBBEMBjE0MTA2MDEWMBQGA1UECAwNTW9zY293
# IHJlZ2lvbjERMA8GA1UEBwwIS29yb2x5b3YxFzAVBgNVBAkMDlNoa29sbmF5YSAz
# Mi0xMRowGAYDVQQKDBFWaWN0b3IgVCBJdmFuaWR6ZTEaMBgGA1UEAwwRVmljdG9y
# IFQgSXZhbmlkemUwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQCgLluP
# g+Rwbrr+DsFSzQofSRpCLB4vZ2tPKlVQNT6qQHWlE4EpcdkSSGUfkku1vxb7rBwx
# Es5P5x1G+UB6txzfgRYQk2c/DZSlnZwW+llnEqe8GZ04ACQT0NY4G3ZqcMkbWv+G
# BCS9zj6hdh2U5+3B/qcbKFtSX3yJWCjiHiT0+82xP0XW7/wbnTSYpUgJrjFHA/YW
# tqawqJjLBlEmjnY+YnAPUkougFo4A79rdCRCRrSannUNn9svYMROmPLk/MvHICXI
# bDwlYu+lZMPDK/QZYP/Df9F7ffSsyxhiL5+HA+jO60siyumK52BNB02iJjMTps6z
# whMQOggJnre6yWrTAgMBAAGjggFpMIIBZTAfBgNVHSMEGDAWgBTa7WR0FJwUPKvd
# mam9WyhNizzJ2DAdBgNVHQ4EFgQU6V1BWBXCm26tPRQSVLJVC5u0sPIwDgYDVR0P
# AQH/BAQDAgeAMAwGA1UdEwEB/wQCMAAwEwYDVR0lBAwwCgYIKwYBBQUHAwMwEQYJ
# YIZIAYb4QgEBBAQDAgQQMEYGA1UdIAQ/MD0wOwYMKwYBBAGyMQECAQMCMCswKQYI
# KwYBBQUHAgEWHWh0dHBzOi8vc2VjdXJlLmNvbW9kby5uZXQvQ1BTMEIGA1UdHwQ7
# MDkwN6A1oDOGMWh0dHA6Ly9jcmwudXNlcnRydXN0LmNvbS9VVE4tVVNFUkZpcnN0
# LU9iamVjdC5jcmwwNAYIKwYBBQUHAQEEKDAmMCQGCCsGAQUFBzABhhhodHRwOi8v
# b2NzcC5jb21vZG9jYS5jb20wGwYDVR0RBBQwEoEQaW5mb0BpdmFzb2Z0LmNvbTAN
# BgkqhkiG9w0BAQUFAAOCAQEAm7UrJjludcubJB9fL65zf2haavW/aHB3wXAMEhlC
# YuNTAdFKVBkNaU9uGWWz/L3j0hWZTUYOFEcs/MloIK7ZGJs0/55nyTeUtvd0SQBn
# gEYgVpl7IIdlKbHb+iHfRhzdSbbOa/WoH2nJ9hF1HjlCxI3HH4u1elCm+B9PHOwp
# tLpVYiw2EQftOsKjOqDuHqvmTTlrRYaiEKcqpH6gB3h3SClMUI/bdJjlmrVeSP0S
# OMVOW+B/zo84vm5ypSOfps9HT3cimlYRQah+o3/eMqOMyGjwzKPQkSjFYpvmwc2R
# 2OMWh09nyANBkWdKwPtjplNpZB+fvgtdt9bfzLuPp5V32DGCBNQwggTQAgEBMIGr
# MIGVMQswCQYDVQQGEwJVUzELMAkGA1UECBMCVVQxFzAVBgNVBAcTDlNhbHQgTGFr
# ZSBDaXR5MR4wHAYDVQQKExVUaGUgVVNFUlRSVVNUIE5ldHdvcmsxITAfBgNVBAsT
# GGh0dHA6Ly93d3cudXNlcnRydXN0LmNvbTEdMBsGA1UEAxMUVVROLVVTRVJGaXJz
# dC1PYmplY3QCEQDhSX5y15DyrWmHcfWPMccVMAkGBSsOAwIaBQCggbYwGQYJKoZI
# hvcNAQkDMQwGCisGAQQBgjcCAQQwHAYKKwYBBAGCNwIBCzEOMAwGCisGAQQBgjcC
# ARUwIwYJKoZIhvcNAQkEMRYEFJjhECIIEsrcHM5VdLy4/GmJdHORMFYGCisGAQQB
# gjcCAQwxSDBGoByAGgB1AG4AaQBuAHMAdABhAGwAbAAuAHAAcwAxoSaAJGh0dHA6
# Ly93d3cuaXZhc29mdC5jb20vcnJyMjAwNy5zaHRtbDANBgkqhkiG9w0BAQEFAASC
# AQB4/0Q7M8gKOvUwMsf+XDi8+WneI6jsPIfv4Hm83wsPdwehM2ESYlrqWZSA1o4y
# UuxnpeqaBqEzycO0vB+U1vUvcOIOUC83gH4rrvFcQZWL3wDsrJEFlz0ABtactfX0
# WdWvDXcV+++J+VgphWyhiT1mzQDGfFljhOJzxPmpn29IPH4m8l4zuXhpACMJCqRk
# aVq09+9gsyRZCIhnpNWZh3bH0KPUJbuHaZgnlxDLKh685AhBq9/kPJ3Rz3TdAEK0
# uXQDtZSno5QCNpTXt2xuxD8tjbEhdJvGzzDbWAN7FXvc5Kww4JgeHGq0cAcEUWGJ
# QmalRANz7gP3jkwDwi23Ct6boYICRDCCAkAGCSqGSIb3DQEJBjGCAjEwggItAgEB
# MIGqMIGVMQswCQYDVQQGEwJVUzELMAkGA1UECBMCVVQxFzAVBgNVBAcTDlNhbHQg
# TGFrZSBDaXR5MR4wHAYDVQQKExVUaGUgVVNFUlRSVVNUIE5ldHdvcmsxITAfBgNV
# BAsTGGh0dHA6Ly93d3cudXNlcnRydXN0LmNvbTEdMBsGA1UEAxMUVVROLVVTRVJG
# aXJzdC1PYmplY3QCEEeKjvtZ4dg/DOFC0qKHB74wCQYFKw4DAhoFAKBdMBgGCSqG
# SIb3DQEJAzELBgkqhkiG9w0BBwEwHAYJKoZIhvcNAQkFMQ8XDTEwMTEwMzE1MDcw
# N1owIwYJKoZIhvcNAQkEMRYEFDYxicNkgn52W33WD2C8TYxTFMtkMA0GCSqGSIb3
# DQEBAQUABIIBACTzoom6Pw/D6AGgDwprqgQ/a9rOma2EcWzPKJ75Nf1jWs8gknhB
# gr+b2h0UErVuxCPjZLIuhuG0U5Tba3E1GeQWqdDUcao8Q+a9anNtyNRLIgSVhzpK
# jG0T07akIwhCSI7zMdn1hvfaXZGAHIOMtg2qpkwY8q2hjyt07ynzMOo/AEKeNhRx
# 4WW9yoh8O9z4UZAdiL6cyxbOLiodqboVh6Cfxuh0atMP5Am2D60YchF9IdYYIrOw
# 2G/ezJaMRiNhNyotjW8XR/WFQ2WwtgzTR632Updgs5Kljzj1xoPnjXrNFqWpkcTq
# k4d40+Ubh6rMxmCWqomrotOqeJu9+ikLOBo=
# SIG # End signature block
